=== debian/control ===
Source: glance
Section: net
Priority: extra
Maintainer: Ubuntu OpenStack <openstack-packaging@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.0.50),
 python-all (>= 2.6),
 python-all-dev (>= 2.6.6-3~),
 sqlite3
Build-Depends-Indep:
 python-setuptools,
 python-sphinx,
 python-sqlalchemy-ext | python-sqlalchemy (<< 0.6.3-2),
 python-nose,
 python-mox,
 python-webob,
 python-routes,
 python-eventlet,
 python-pastedeploy,
 python-paste,
 python-migrate,
 python-argparse,
 python-httplib2 (>= 0.6.0),
 python-swift,
 python-boto,
 python-crypto,
 python-kombu,
 python-dateutil,
 python-iso8601,
 curl,
 pep8
Standards-Version: 3.9.3
XS-Python-Version: >= 2.6
Homepage: http://launchpad.net/glance
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/glance/essex/files
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-server-dev/glance/essex

Package: python-glance
Architecture: all
Section: python
Depends: ${python:Depends}, ${misc:Depends},
 python-webob,
 python-pastedeploy,
 python-argparse,
 python-kombu,
 python-httplib2,
 python-iso8601,
 python-dateutil,
 python-crypto
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: OpenStack Image Registry and Delivery Service - Python library
 The Glance project provides an image registration and discovery service
 and an image delivery service. These services are used
 in conjunction by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Python libraries.

Package: glance
Architecture: all
Section: python
Depends: ${python:Depends}, ${misc:Depends}, 
 python-glance (= ${source:Version}),
 python-routes,
 python-eventlet,
 python-migrate,
 python-sqlalchemy-ext | python-sqlalchemy (<< 0.6.3-2),
 python-crypto,
 python-xattr,
 glance-api (= ${source:Version}), 
 glance-registry (= ${source:Version}),
 ca-certificates,
 adduser
Description: OpenStack Image Registry and Delivery Service - Daemons
 The Glance project provides an image registration and discovery service
 and an image delivery service. These services are used
 in conjunction by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the daemons.

Package: python-glance-doc
Architecture: all
Section: doc
Depends: libjs-jquery, ${misc:Depends}
Description: OpenStack Image Registry and Delivery Service - Documentation
 The Glance project provides an image registration and discovery service
 (Parallax) and an image delivery service (Teller). These services are used
 in conjunction by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the documentation.

Package: glance-common
Architecture: all
Section: python
Depends: ${python:Depends}, ${misc:Depends}, 
 python-eventlet, 
 python-glance (= ${source:Version}), 
 python-migrate, 
 python-routes,
 python-sqlalchemy-ext | python-sqlalchemy (<< 0.6.3-2),
 python-xattr, 
 adduser
Breaks: glance ( <= 2011.3-0ubuntu4.1 )
Replaces: glance ( <= 2011.3-0ubuntu4.1  )
Description: OpenStack Image Registry and Delivery Service - Common
 The Glance project provides an image registration, discovery and 
 delivery service. These services may be used as stand-along services, and
 they may also be used by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the glance common.

Package: glance-api
Architecture: all
Section: python
Replaces: glance (<< 2012.1~e1~20110919.1021-0ubuntu2)
Depends: ${python:Depends}, ${misc:Depends}, glance-common (= ${source:Version})
Recommends: glance-client
Description: OpenStack Image Registry and Delivery Service - API
 The Glance project provides an image registration, discovery and 
 delivery service. These services may be used as stand-along services, and
 they may also be used by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the glance api server.

Package: glance-registry
Architecture: all
Section: python
Replaces: glance (<< 2012.1~e1~20110919.1021-0ubuntu2)
Depends: ${python:Depends}, ${misc:Depends}, glance-common (= ${source:Version})
Recommends: glance-client
Description: OpenStack Image Registry and Delivery Service - Registry
 The Glance project provides an image registration, discovery and 
 delivery service. These services may be used as stand-along services, and
 they may also be used by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the glance registry server.

Package: glance-client
Architecture: all
Section: python
Replaces: glance (<< 2012.1~e1~20110919.1021-0ubuntu2)
Depends: ${python:Depends}, ${misc:Depends}, glance-common (= ${source:Version})
Description: OpenStack Image Registry and Delivery Service - Registry
 The Glance project provides an image registration, discovery and
 delivery service. These services may be used as stand-along services, and
 they may also be used by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the glance client.
