## glance 2012.1.3+stable-20130423-74b067df

=== debian/changelog ===
glance (2012.1.3+stable-20130423-74b067df-0ubuntu1) precise-proposed; urgency=low

  * Resynchronize with stable/essex (74b067df) (LP: #1089488):
    - [74b067d] v1 api returns location as header for cached images LP: 1135541
    - [37d4d96] glance image-download can display backend Swift password
      LP: 1098962
    - [efd7e75] Non-admin users can cause public glance images to be deleted
      from the backend storage repository (LP: #1065187)
    - [e6be061] Jenkins jobs fail because of incompatibility between sqlalchemy-
      migrate and the newest sqlalchemy-0.8.0b1 (LP: #1073569)
  * Dropped patches, superseeded by snapshot:
    - debian/patches/CVE-2013-1840.patch [74b067d]
    - debian/patches/CVE-2013-0212.patch [37d4d96]
    - debian/patches/CVE-2012-4573.patch [efd7e75]

 -- Yolanda <yolanda.robla@canonical.com>  Wed, 24 Apr 2013 14:58:09 +0200

glance (2012.1.3+stable~20120821-120fcf-0ubuntu1.5) precise-security; urgency=low

  * SECURITY UPDATE: fix information disclosure via Glance v1 API
    - debian/patches/CVE-2013-1840.patch: adjust api/middleware/cache.py to
      not show image_meta['location']
    - CVE-2013-1840
    - LP: #1135541

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 14 Mar 2013 15:06:48 -0500
