## glance 2012.2~f1

=== debian/changelog ===
glance (2012.2~f1-0ubuntu1~cloud0) precise-folsom; urgency=low

  [ Adam Gandelman ]
  * debian/patches/ensure_versioned_db_models.patch: Check for valid
    db models+schema at service start, and ensure db is version controlled
    before running all migrations.
  * debian/{control, pydist-overrides}: *Temporarily* disable non-main
    dependencies pending MIRs
  * debian/rules: *Temporarily* disable tests until new dependencies are
    satisfied

  [ Chuck Short ] 
  * New upstream version.
  * Prepare for quantal:
    - Removed debian/patches/fix_migration_012_foreign_keys.patch
    - Removed debian/patches/disable_db_table_auto_create.patch
    - Removed debian/patches/convert_properties_to_uuid.patch
  * debian/control: Add dependency on python-requests
  * debian/control: Add dependency on python-jsonschema
  * debian/control: Add python-keystone as a depends. (LP: #901881)
  * debian/patches/disable-swift-tests.patch: Rediffed

  [ Paul Belanger ]
  * debian/glance-common.postinst
    - Give glance group read permission to /etc/glance (LP: #989205)

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 09 Jul 2012 13:57:57 -0400
