=== debian/control ===
--- 
+++ 
@@ -25,7 +25,10 @@
  python-crypto,
  python-kombu,
  python-dateutil,
+# python-requests,
+ python-keystone,
  python-iso8601,
+# python-jsonschema,
  curl,
  pep8
 Standards-Version: 3.9.3
@@ -45,6 +48,8 @@
  python-httplib2,
  python-iso8601,
  python-dateutil,
+# python-requests,
+ python-keystone,
  python-crypto
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
