=== debian/control ===
--- 
+++ 
@@ -25,10 +25,10 @@
  python-crypto,
  python-kombu,
  python-dateutil,
-# python-requests,
+ python-requests,
  python-keystone,
  python-iso8601,
-# python-jsonschema,
+ python-jsonschema,
  curl,
  pep8
 Standards-Version: 3.9.3
@@ -49,6 +49,7 @@
  python-iso8601,
  python-dateutil,
 # python-requests,
+ python-jsonschema,
  python-keystone,
  python-crypto
 Provides: ${python:Provides}
@@ -150,7 +151,7 @@
 Section: python
 Replaces: glance (<< 2012.1~e1~20110919.1021-0ubuntu2)
 Depends: ${python:Depends}, ${misc:Depends}, glance-common (= ${source:Version})
-Description: OpenStack Image Registry and Delivery Service - Registry
+Description: OpenStack Image Registry and Delivery Service - client
  The Glance project provides an image registration, discovery and
  delivery service. These services may be used as stand-along services, and
  they may also be used by Nova to deliver images from object stores, such as
