=== debian/rules ===
--- 
+++ 
@@ -11,23 +11,12 @@
 get-orig-source:
 	uscan --verbose --force-download --rename --destdir=../build-area
 
-UPSTREAM_GIT=git://github.com/openstack/glance.git
-DEBIAN_VERSION=$(shell dpkg-parsechangelog |  sed -n 's/^Version: \(.*\)-[^-]*/\1/p')
-DEBIAN_NAME=glance
-
-get-orig-source-git:
-	git clone $(UPSTREAM_GIT) $(DEBIAN_NAME)
-	cd $(DEBIAN_NAME) ; \
-	git checkout stable/essex ; \
-	python setup.py sdist ; \
-	mv dist/glance-2012.1.tar.gz ../glance_$(DEBIAN_VERSION).orig.tar.gz
-
 override_dh_install:
 	dh_install
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
-	bash run_tests.sh -N
+#	bash run_tests.sh -N
 endif
 
 override_dh_auto_build:
