## glance 2012.2

=== debian/control ===
--- 
+++ 
@@ -29,6 +29,9 @@
  python-keystone,
  python-iso8601,
  python-jsonschema,
+ python-swiftclient,
+ python-glanceclient,
+ python-xattr,
  curl,
  pep8
 Standards-Version: 3.9.3
@@ -48,10 +51,17 @@
  python-httplib2,
  python-iso8601,
  python-dateutil,
-# python-requests,
+ python-requests,
+ python-keystone,
+ python-swiftclient,
+ python-crypto,
  python-jsonschema,
- python-keystone,
- python-crypto
+ python-migrate,
+ python-sqlalchemy-ext | python-sqlalchemy (<< 0.6.3-2),
+ python-routes,
+ python-eventlet,
+ python-setuptools,
+ python-xattr
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
 Description: OpenStack Image Registry and Delivery Service - Python library
@@ -65,18 +75,10 @@
 Package: glance
 Architecture: all
 Section: python
-Depends: ${python:Depends}, ${misc:Depends}, 
- python-glance (= ${source:Version}),
- python-routes,
- python-eventlet,
- python-migrate,
- python-sqlalchemy-ext | python-sqlalchemy (<< 0.6.3-2),
- python-crypto,
- python-xattr,
- glance-api (= ${source:Version}), 
+Depends: ${python:Depends}, ${misc:Depends},
+ glance-api (= ${source:Version}),
  glance-registry (= ${source:Version}),
- ca-certificates,
- adduser
+Suggests: python-ceph
 Description: OpenStack Image Registry and Delivery Service - Daemons
  The Glance project provides an image registration and discovery service
  and an image delivery service. These services are used
@@ -100,18 +102,13 @@
 Package: glance-common
 Architecture: all
 Section: python
-Depends: ${python:Depends}, ${misc:Depends}, 
- python-eventlet, 
- python-glance (= ${source:Version}), 
- python-migrate, 
- python-routes,
- python-sqlalchemy-ext | python-sqlalchemy (<< 0.6.3-2),
- python-xattr, 
+Depends: ${python:Depends}, ${misc:Depends},
+ python-glance (= ${source:Version}),
  adduser
 Breaks: glance ( <= 2011.3-0ubuntu4.1 )
 Replaces: glance ( <= 2011.3-0ubuntu4.1  )
 Description: OpenStack Image Registry and Delivery Service - Common
- The Glance project provides an image registration, discovery and 
+ The Glance project provides an image registration, discovery and
  delivery service. These services may be used as stand-along services, and
  they may also be used by Nova to deliver images from object stores, such as
  OpenStack's Swift service, to Nova's compute nodes.
@@ -123,9 +120,9 @@
 Section: python
 Replaces: glance (<< 2012.1~e1~20110919.1021-0ubuntu2)
 Depends: ${python:Depends}, ${misc:Depends}, glance-common (= ${source:Version})
-Recommends: glance-client
+Recommends: python-glanceclient
 Description: OpenStack Image Registry and Delivery Service - API
- The Glance project provides an image registration, discovery and 
+ The Glance project provides an image registration, discovery and
  delivery service. These services may be used as stand-along services, and
  they may also be used by Nova to deliver images from object stores, such as
  OpenStack's Swift service, to Nova's compute nodes.
@@ -137,9 +134,9 @@
 Section: python
 Replaces: glance (<< 2012.1~e1~20110919.1021-0ubuntu2)
 Depends: ${python:Depends}, ${misc:Depends}, glance-common (= ${source:Version})
-Recommends: glance-client
+Recommends: python-glanceclient
 Description: OpenStack Image Registry and Delivery Service - Registry
- The Glance project provides an image registration, discovery and 
+ The Glance project provides an image registration, discovery and
  delivery service. These services may be used as stand-along services, and
  they may also be used by Nova to deliver images from object stores, such as
  OpenStack's Swift service, to Nova's compute nodes.
