=== debian/watch ===
version=3
opts="uversionmangle=s/%7E/~/" https://launchpad.net/glance/+download https://launchpad.net/glance/.*/.*/.*/glance-(.*)\.tar\.gz
http://tarballs.openstack.org/glance/ glance-(\d.*).tar.gz
