## glance 2012.2.3

=== debian/changelog ===
glance (2012.2.3-0ubuntu1) quantal-proposed; urgency=low

  * Dropped patches, applied upstream:
    - debian/patches/CVE-2013-0212.patch: [96a470b]
  * Resynchronize with stable/folsom (98d9928a) (LP: #1116671):
    - [96a470b] glance image-download can display backend Swift password
    - [4c96080] install throws errors about SADeprecationWarning LP: 925609
    - [bca6e26] wsgi.Middleware forward-compatibility with webob 1.2b1 or later
    - [5e5e722] Supplied image size should be verified against actual size
      LP: 1092584
    - [514b4b4] silent failure when loading the paste deploy app LP: 1091294

 -- Adam Gandelman <adamg@ubuntu.com>  Tue, 05 Feb 2013 14:02:33 -0400
