=== debian/control ===
--- 
+++ 
@@ -33,7 +33,8 @@
  python-glanceclient,
  python-xattr,
  curl,
- pep8
+ pep8,
+ python-chardet
 Standards-Version: 3.9.3
 XS-Python-Version: >= 2.6
 Homepage: http://launchpad.net/glance
