=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
-#	bash run_tests.sh -N
+	bash run_tests.sh -N || true
 endif
 
 override_dh_auto_build:
