## glance 2013.1~g2

=== debian/changelog ===
glance (2013.1~g2-0ubuntu2) raring-proposed; urgency=low

  * SECURITY UPDATE: information disclosure via swift error messages
    - debian/patches/CVE-2013-0212.patch: adjust glance/store/swift.py to
      mot show URLs and credentials in error messages and log output
    - CVE-2013-0212

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 30 Jan 2013 13:00:23 -0600
