=== debian/rules ===
--- 
+++ 
@@ -3,20 +3,20 @@
 # Verbose mode
 #export DH_VERBOSE=1
 
-WITH_PYTHON2 = $(shell test -f /usr/bin/dh_python2 && echo "--with python2")
-
 %:
-	dh $@ ${WITH_PYTHON2}
+	dh $@ --with python2
 
 get-orig-source:
 	uscan --verbose --force-download --rename --destdir=../build-area
 
 override_dh_install:
-	dh_install
+	dh_install --fail-missing
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
-	bash run_tests.sh -N || true
+	# Scope tests to glance/tests otherwise we get a weird
+	# nose test failure about glance/openstack/common
+	bash run_tests.sh -N glance/tests
 endif
 
 override_dh_auto_build:
