## glance 2013.1

=== debian/control ===
--- 
+++ 
@@ -9,36 +9,36 @@
 Build-Depends-Indep:
  curl,
  pep8,
- python-argparse,
  python-boto,
  python-crypto,
- python-dateutil,
  python-eventlet,
- python-glanceclient,
+ python-fixtures,
  python-httplib2 (>= 0.6.0),
  python-iso8601,
+ python-anyjson,
  python-jsonschema,
- python-keystone,
+ python-keystoneclient,
  python-kombu,
+ python-lxml,
  python-migrate,
  python-mox,
  python-nose,
+ python-oslo-config,
  python-paste,
  python-pastedeploy,
+ python-passlib,
  python-requests,
  python-routes,
  python-setuptools,
  python-sphinx,
  python-sqlalchemy-ext | python-sqlalchemy (<< 0.6.3-2),
- python-swift,
  python-swiftclient,
+ python-testtools,
  python-webob,
  python-xattr
 Standards-Version: 3.9.3
 XS-Python-Version: >= 2.6
 Homepage: http://launchpad.net/glance
-Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/glance/essex/files
-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-server-dev/glance/essex
 
 Package: python-glance
 Architecture: all
@@ -54,6 +54,7 @@
  python-keystone,
  python-kombu,
  python-migrate,
+ python-oslo-config,
  python-pastedeploy,
  python-requests,
  python-routes,
