## glance 2013.1.3

=== debian/changelog ===
glance (1:2013.1.3-0ubuntu1.1) raring-security; urgency=low

  * SECURITY UPDATE: enforce 'download_image' policy in cache middleware
    - debian/patches/CVE-2013-4428.patch: fix confusing behavior when using
      download_image. Ie, return 403 rather than empty content (LP: #1235378)
    - CVE-2013-4428

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 22 Oct 2013 13:38:56 -0500

glance (1:2013.1.3-0ubuntu1) raring-proposed; urgency=low

  * Resynchronize with stable/grizzly (a5dda27) (LP: #1210447):
    - [272982c] Bump stable/grizzly next version to 2013.1.3
    - [a5dda27] Exception on running glance commands with non-ASCII arguments
      LP: 1182824
  * debian/control: Set Vcs fields.

 -- Adam Gandelman <adamg@ubuntu.com>  Fri, 09 Aug 2013 10:02:09 +0100

glance (1:2013.1.2-0ubuntu1) raring-proposed; urgency=low

  * Resynchronize with stable/grizzly (a799a98b) (LP: #1188788):
    - [4655685] Terminate the glance-api in eclipse cause Ubuntu logout
      LP: 1068051
    - [0c98014] Forbidden 403 error while get public image from multitenant
      swift storage where object is chunked (larger than 5GB) LP: 1170156
    - [9ce21bd] Monkey patching done after logging LP: 1163722
    - [ff8c8e8] many glance config options lack help text LP: 1162449

 -- Adam Gandelman <adamg@ubuntu.com>  Fri, 07 Jun 2013 13:38:52 -0400
