## glance 2013.1.4

=== debian/changelog ===
glance (1:2013.1.4-0ubuntu1~cloud0) precise-grizzly; urgency=low

  * New update for the Ubuntu Cloud Archive.

 -- Adam Gandelman <adamg@ubuntu.com>  Fri, 18 Oct 2013 12:25:33 -0700

glance (1:2013.1.4-0ubuntu1) raring-proposed; urgency=low

  * Resynchronize with stable/grizzly (b72b2cb) (LP: #1241202):
    - [a5522f0] Wrong config type for rabbit_retry_backoff LP: 1201697
    - [83d1efb] Provide graceful fallback from qpid notification errors
      LP: 1164681
    - [9a557c8] glance qpid notifier can hang under heavy load LP: 1229042
    - [cd3d311] 'image_download' role in v2 causes traceback LP: 1235378
    - [b72b2cb] Glance image-create stuck in saving state using rbd as a
      backend and --copy-from option LP: 1146830

 -- Adam Gandelman <adamg@ubuntu.com>  Thu, 17 Oct 2013 13:52:08 -0700
