=== debian/control ===
--- 
+++ 
@@ -39,6 +39,8 @@
 Standards-Version: 3.9.3
 XS-Python-Version: >= 2.6
 Homepage: http://launchpad.net/glance
+Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/glance/grizzly/files
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/glance/grizzly
 
 Package: python-glance
 Architecture: all
