## glance 2013.2

=== debian/control ===
Source: glance
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Ghe Rivero <ghe.rivero@stackops.com>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools (>= 8~),
               po-debconf,
               python-all (>= 2.6.6-3~),
               python-pbr (>= 0.5.21),
               python-setuptools
Build-Depends-Indep: curl,
                     pep8 (>= 1.3.3),
                     procps,
                     python-anyjson (>= 0.3.3),
                     python-argparse,
                     python-babel,
                     python-boto (>= 2.4.0),
                     python-cinderclient (>= 1:1.0.6),
                     python-coverage,
                     python-crypto,
                     python-dateutil,
                     python-eventlet (>= 0.13.0),
                     python-fixtures (>= 0.3.12),
                     python-glanceclient,
                     python-greenlet (>= 0.3.2),
                     python-hacking,
                     python-httplib2 (>= 0.6.0),
                     python-iso8601,
                     python-jsonschema (>= 2.0.0),
                     python-keystoneclient (>= 1:0.3.0),
                     python-kombu (>= 2.4.8),
                     python-lxml,
                     python-migrate (>= 0.7.2-3),
                     python-mock (>= 1.0),
                     python-mox,
                     python-mysqldb,
                     python-nose,
                     python-nosehtmloutput,
                     python-openssl,
                     python-openstack.nose-plugin,
                     python-oslo.config (>= 1.2.1),
                     python-oslo.sphinx,
                     python-passlib,
                     python-paste,
                     python-pastedeploy,
                     python-psutil,
                     python-psycopg2,
                     python-qpid,
                     python-requests (>= 1.1),
                     python-routes,
                     python-sendfile (>= 2.0),
                     python-six,
                     python-sphinx (>= 1.1.2),
                     python-sqlalchemy-ext | python-sqlalchemy (<< 0.6.3-2),
                     python-swiftclient (>= 1:1.6),
                     python-testtools (>= 0.9.32),
                     python-tox,
                     python-webob (>= 1.2.3),
                     python-xattr,
                     sqlite3
Standards-Version: 3.9.4
Homepage: http://glance.openstack.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/glance.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/glance.git

Package: python-glance
Architecture: all
Section: python
Pre-Depends: dpkg (>= 1.15.6~)
Depends: libxml2-dev,
         libxslt-dev,
         procps,
         python-anyjson (>= 0.3.3),
         python-argparse,
         python-boto (>= 2.4.0),
         python-cinderclient (>= 1:1.0.6),
         python-configobj,
         python-crypto,
         python-dateutil,
         python-eventlet (>= 0.13.0),
         python-greenlet (>= 0.3.2),
         python-httplib2 (>= 0.6.0),
         python-iso8601,
         python-jsonschema (>= 2.0.0),
         python-keystoneclient (>= 1:0.3.0),
         python-kombu (>= 2.4.8),
         python-lxml,
         python-migrate (>= 0.7.2-3),
         python-mysqldb,
         python-openssl,
         python-oslo.config (>= 1.2.1),
         python-passlib,
         python-paste,
         python-pastedeploy,
         python-requests,
         python-routes,
         python-setuptools,
         python-six,
         python-sqlalchemy-ext | python-sqlalchemy (<< 0.6.3-2),
         python-swiftclient (>= 1:1.6),
         python-webob (>= 1.2.3),
         python-xattr,
         ${misc:Depends},
         ${python:Depends}
Provides: ${python:Provides}
Description: OpenStack Image Service - Python client library
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Python libraries.

Package: glance
Architecture: all
Section: python
Pre-Depends: dpkg (>= 1.15.6~)
Depends: glance-api (= ${source:Version}),
         glance-registry (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends}
Suggests: python-ceph
Description: OpenStack Image Service - metapackage
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This is a dependency package to install all of the Glance suite.

Package: python-glance-doc
Architecture: all
Section: doc
Pre-Depends: dpkg (>= 1.15.6~)
Depends: libjs-jquery, libjs-underscore, ${misc:Depends}
Description: OpenStack Image Service - Python library documentation
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the documentation.

Package: glance-common
Architecture: all
Section: python
Breaks: glance (<< 2012.1~e2-3)
Replaces: glance (<< 2012.1~e2-3)
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         dbconfig-common,
         debconf,
         python-glance (= ${source:Version}),
         python-glanceclient,
         ${misc:Depends},
         ${python:Depends}
Description: OpenStack Image Service - common files
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains common files for Glance.

Package: glance-api
Architecture: all
Section: python
Pre-Depends: adduser, dpkg (>= 1.15.6~)
Depends: debconf,
         glance-common (= ${source:Version}),
         python-keystoneclient,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Description: OpenStack Image Service - API server
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Glance API server.

Package: glance-registry
Architecture: all
Section: python
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         glance-common (= ${source:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Description: OpenStack Image Service - registry server
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Glance registry server.
