=== debian/watch ===
version=3
https://github.com/openstack/glance/tags .*/(\d[\d\.]+)\.tar\.gz
